# Enum ServletSecurity.EmptyRoleSemantic

java.lang.Object
java.lang.Enum<ServletSecurity.EmptyRoleSemantic>
jakarta.servlet.annotation.ServletSecurity.EmptyRoleSemantic

All Implemented Interfaces:
  `Serializable, Comparable<ServletSecurity.EmptyRoleSemantic>, java.lang.constant.Constable`

Enclosing class:
  `ServletSecurity`

public static enum ServletSecurity.EmptyRoleSemantic extends Enum<ServletSecurity.EmptyRoleSemantic>
Represents the two possible values of the empty role semantic, active when a list of role names is empty.

Since:
  Servlet 3.0

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DENY`
Access MUST be denied, regardless of authentication state or identity
`PERMIT`
Access MUST be permitted, regardless of authentication state or identity

## Method Summary

Modifier and Type
Method
Description
`static ServletSecurity.EmptyRoleSemantic`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ServletSecurity.EmptyRoleSemantic[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PERMIT

public static final ServletSecurity.EmptyRoleSemantic PERMIT
Access MUST be permitted, regardless of authentication state or identity

### DENY

public static final ServletSecurity.EmptyRoleSemantic DENY
Access MUST be denied, regardless of authentication state or identity

## Method Details

### values

public static ServletSecurity.EmptyRoleSemantic[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ServletSecurity.EmptyRoleSemantic valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null